import _regeneratorRuntime from "@babel/runtime/regenerator";
import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import React from 'react';
var FoundationListDataProviderContext = React.createContext({
  fetchInitial: function () {
    var _fetchInitial = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee() {
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    }));

    function fetchInitial() {
      return _fetchInitial.apply(this, arguments);
    }

    return fetchInitial;
  }(),
  fetchMore: function () {
    var _fetchMore = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee2() {
      return _regeneratorRuntime.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2);
    }));

    function fetchMore() {
      return _fetchMore.apply(this, arguments);
    }

    return fetchMore;
  }(),
  fetchSort: function () {
    var _fetchSort = _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee3() {
      return _regeneratorRuntime.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3);
    }));

    function fetchSort() {
      return _fetchSort.apply(this, arguments);
    }

    return fetchSort;
  }(),
  result: {
    state: 'fetching-initial'
  }
});

function Provider(_ref) {
  var children = _ref.children,
      value = _ref.value;
  return React.createElement(FoundationListDataProviderContext.Provider, {
    value: value
  }, children);
}

function Consumer(_ref2) {
  var children = _ref2.children;
  return React.createElement(FoundationListDataProviderContext.Consumer, null, function (context) {
    return children(context);
  });
} // Yes, this should be a `default` export.


export default {
  Consumer: Consumer,
  Provider: Provider
};
//# sourceMappingURL=FoundationListDataProviderContext.js.map