# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-list-data-provider@1.0.0) (2020-01-20)

### Bug Fixes

* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Prefer interface to type alias ([a9343e5b](https://github.com/billogram/frontend-foundation/commit/a9343e5b))
* Use dependencies instead of peer dependencies ([a1cbff4b](https://github.com/billogram/frontend-foundation/commit/a1cbff4b))
* Use render prop pattern instead of context ([d6206193](https://github.com/billogram/frontend-foundation/commit/d6206193))


### Features

* Add typed contexts ([2c4b571d](https://github.com/billogram/frontend-foundation/commit/2c4b571d))
* Include fetchInitial in render props and context ([c64e6f2d](https://github.com/billogram/frontend-foundation/commit/c64e6f2d))
* Add initial fetch data options ([ba63d985](https://github.com/billogram/frontend-foundation/commit/ba63d985))
* Implement list data provider ([4c348b08](https://github.com/billogram/frontend-foundation/commit/4c348b08))
* Scaffold out @billogram/foundation-list-data-provider ([568692ab](https://github.com/billogram/frontend-foundation/commit/568692ab))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.
