import React from 'react';
import { FoundationListDataProviderContextType, FoundationListDataProviderData } from './types';
declare function Provider<TRowData, TData extends FoundationListDataProviderData<TRowData> = FoundationListDataProviderData<TRowData>, TOptions = never>({ children, value, }: {
    children: React.ReactNode;
    value: FoundationListDataProviderContextType<TRowData, TData, TOptions>;
}): React.ReactElement;
declare function Consumer<TRowData, TData extends FoundationListDataProviderData<TRowData> = FoundationListDataProviderData<TRowData>, TOptions = never>({ children, }: {
    children: (context: FoundationListDataProviderContextType<TRowData, TData, TOptions>) => React.ReactNode;
}): React.ReactElement;
declare const _default: {
    Consumer: typeof Consumer;
    Provider: typeof Provider;
};
export default _default;
